### Constructor

# Gdk.ContentProvider.new_for_value

#### Declaration [src]

    GdkContentProvider*
    gdk_content_provider_new_for_value (
      const GValue* value
    )

#### Description [src]

Create a content provider that provides the given `value`.

#### Parameters

`value` | `const GValue*`
| a `GValue`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkContentProvider`
a new `GdkContentProvider`
Ownership of the data is transferred to the caller